!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 17:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl2()
      coupl(nGC_255) = 3d0*cima*sa**3d0*vev
      coupl(nGC_748) = -ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_749) = -cima*ee**2d0*(ca - sa)*(ca + sa)/(2d0*sw**2d0)
      coupl(nGC_741) = cima*ee**2d0*sa**2d0/sw**2d0
      coupl(nGC_746) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_744) = -3d0*ca**4d0*cima
      coupl(nGC_745) = -3d0*cima*sa**4d0
      coupl(nGC_100) = -cima*ym
      coupl(nGC_101) = -sqrt(2d0)*ym/2d0
      coupl(nGC_102) = sqrt(2d0)*ym/2d0
      coupl(nGC_103) = -sqrt(2d0)*ca*cima*ym/2d0
      coupl(nGC_104) = sqrt(2d0)*cima*sa*ym/2d0
      coupl(nGC_105) = -cima*ys
      coupl(nGC_106) = -sqrt(2d0)*ys/2d0
      coupl(nGC_107) = sqrt(2d0)*ys/2d0
      coupl(nGC_108) = -sqrt(2d0)*ca*cima*ys/2d0
      coupl(nGC_109) = sqrt(2d0)*cima*sa*ys/2d0
      coupl(nGC_812) = cMW*cima*ee*sa/(2d0*sw)
      coupl(nGC_813) = cima*ee*sa/(4d0*cMW*sw)
      coupl(nGC_810) = cima*ee*sw/(3d0*cw)
      coupl(nGC_811) = -cMW*cima*ee*sa/(2d0*sw**2d0)
      coupl(nGC_816) = cima*ee/cw
      coupl(nGC_817) = cima*ee*sw/cw
      coupl(nGC_814) = cMW*ca*cima*ee/(2d0*sw)
      coupl(nGC_815) = -cima*ee*sw/cw**2d0
      coupl(nGC_818) = 2d0*cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_819) = -2d0*cima*ee/(3d0*cw)
      coupl(nGC_610) = sqrt(2d0)*ca*cima*yb/2d0
      coupl(nGC_611) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_612) = sqrt(2d0)*cima*sa*yb/2d0
      coupl(nGC_616) = cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_617) = -cima*ee**2d0*vev/sw
      coupl(nGC_618) = -cima*ee**2d0/(2d0*sw)
      coupl(nGC_247) = -3d0*ca*cima*(ca**2d0*l2 + l3*sa**2d0)
      coupl(nGC_241) = 3d0*ca**2d0*cima*sa*vev
      coupl(nGC_759) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_758) = 3d0*ca*cima*sa**3d0
      coupl(nGC_751) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_750) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
      coupl(nGC_753) = -3d0*ca*cima*sa**3d0
      coupl(nGC_752) = 3d0*cima*(ca**4d0*l1 - ca**4d0*l3 - 3d0*ca**2d0*l1*sa** &
                       2d0 - 3d0*ca**2d0*l2*sa**2d0 + 6d0*ca**2d0*l3*sa**2d0 + &
                       l2*sa**4d0 - l3*sa**4d0)
      coupl(nGC_755) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_754) = 3d0*ca**3d0*cima*sa
      coupl(nGC_757) = -3d0*ca**3d0*cima*sa
      coupl(nGC_756) = 3d0*cima*(-ca**4d0*l2 + ca**4d0*l3 + 3d0*ca**2d0*l1*sa**&
                       2d0 + 3d0*ca**2d0*l2*sa**2d0 - 6d0*ca**2d0*l3*sa**2d0 - &
                       l1*sa**4d0 + l3*sa**4d0)
      coupl(nGC_119) = sqrt(2d0)*cima*sa*ytau/2d0
      coupl(nGC_118) = -sqrt(2d0)*ca*cima*ytau/2d0
      coupl(nGC_117) = sqrt(2d0)*ytau/2d0
      coupl(nGC_116) = -sqrt(2d0)*ytau/2d0
      coupl(nGC_115) = -cima*ytau
      coupl(nGC_114) = sqrt(2d0)*cima*sa*yt/2d0
      coupl(nGC_113) = -sqrt(2d0)*ca*cima*yt/2d0
      coupl(nGC_112) = sqrt(2d0)*yt/2d0
      coupl(nGC_111) = -sqrt(2d0)*yt/2d0
      coupl(nGC_110) = cima*yt
      coupl(nGC_427) = -2d0*coupl(nGC_5)
      coupl(nGC_429) = -coupl(nGC_4)
      coupl(nGC_419) = -coupl(nGC_37)
      coupl(nGC_417) = -coupl(nGC_41)/2d0
      coupl(nGC_431) = -2d0*coupl(nGC_29)
      coupl(nGC_433) = -coupl(nGC_3)
      coupl(nGC_435) = -coupl(nGC_10)
    end subroutine fill_couplings_mdl2
end module fill_couplings2
